---
sidebar_label: ScreenRecorder
---

# ScreenRecorder class

#### Signature:

```typescript
export declare class ScreenRecorder extends PassThrough
```

**Extends:** PassThrough

## Remarks

The constructor for this class is marked as internal. Third-party code should not call the constructor directly or create subclasses that extend the `ScreenRecorder` class.

## Methods

| Method                                       | Modifiers | Description         |
| -------------------------------------------- | --------- | ------------------- |
| [stop()](./puppeteer.screenrecorder.stop.md) |           | Stops the recorder. |
